



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>otter双主同步安装与配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">otter双主同步安装与配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-05 05:48:49 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>otter是阿里的开源数据同步项目，资源地址就不用说了哈，网上找，阿里云论坛关于单方向同步的配置已经很清楚了，理论上说，双主同步也不复杂，但是毕竟</p>
<p>是数据库，比较重要，配置双主的时候，总觉得心里没底，所以记录下来。本文主要来源于https://yq.aliyun.com/articles/58388?spm=5176.100239.blogcont58420.18.Hof0oq</p>
<p>1，&nbsp; java环境，yum即可</p>
<p>2，&nbsp; zookeeper配置</p>
<p>修改bin/zkEnv.sh脚本：</p>
<p>将ZOO_LOG_DIR="."修改为ZOO_LOG_DIR="/tmp/zookeeper/data"</p>
<p>将ZOO_LOG4J_PROP=&rdquo;INFO,CONSOLE&rdquo;修改为ZOO_LOG4J_PROP="INFO,ROLLINGFILE"</p>
<p><code>3,安装配置manager </code></p>
<p><code>tar zxvf manager.deployer-$version.tar.gz -C /tmp/manager</code></p>
<p>导入数据库</p>
<pre class="prettyprint linenums"><code>source /tmp/manager/otter-manager-schema.sql</code>

修改vim conf/otter.properties 配置文件</pre>
<pre class="prettyprint linenums"><code>## otter manager domain name #修改为正确访问ip(内网访问配置内网地址外网访问配置外网地址)，生成URL使用<br />
otter.domainName = 127.0.0.1<br />
## otter manager http port<br />
otter.port = 8080

## otter manager database config ，修改为正确数据库信息<br />
otter.database.driver.url = jdbc:mysql://127.0.01:3306/ottermanager<br />
otter.database.driver.username = root<br />
otter.database.driver.password = hello

## default zookeeper address，修改为正确的地址，手动选择一个地域就近的zookeeper集群列表,zookeeper默认端口 2181<br />
otter.zookeeper.cluster.default = 127.0.0.1:2181

</code></pre>
<p>启动manager</p>
<pre class="prettyprint linenums"><code>./bin/startup.sh<br />
</code>

NODE搭建</pre>
<p>1，我们在介绍otter的特性里面有提及到aria2,它是一个文件通道来保证需要同步的数据通过极快的速度同步到需要同步的服务器上</p>
<pre class="prettyprint linenums"><code>cd /app/install/<br />
tar zxvf aria2-1.17.1.tar.gz<br />
mv aria2-1.17.1 aria2<br />
cd aria2<br />
./configure<br />
make<br />
make install<br />
# 验证安装是否成功<br />
aria2c -v<br />
# 会输出<br />
aria2 version 1.17.1    </code></pre>
<h2>安装配置node</h2>
<p>接下来我们来配置node,node主要负责接受manage下发任务的处理</p>
<pre class="prettyprint linenums"><code>mkdir /tmp/node<br />
tar zxvf /app/install/node.deployer-4.2.13.tar.gz  -C /tmp/node<br />
cd /tmp/node/<br />
# nid配置node的ID多个node协同工作时不能重复<br />
echo 1 &gt; conf/nid<br />
# 修改配置文件<br />
vim conf/otter.properties<br />
# 主要是确认连接manager地址是否正确(这里使用服务器内网地址进行配置)<br />
otter.manager.address = 10.144.159.182:1099<br />
</code></pre>
<p>配置完成之后我们不要着急启动node,因为启动了node要是manager没有配置是没法建立连接的,顺序是先配置好manager在开启node.</p>
<pre class="prettyprint linenums"><code>在web 界面中关联manager,zookeeper和node<br />登录<br /><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/781052/201612/781052-20161219170653510-2046812372.png" />

配置zookeeper<br /><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/781052/201612/781052-20161219170735213-544695400.png" />

<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/781052/201612/781052-20161219170758353-1808779723.png" /></code></pre>
<p>配置好node的一些参数</p>
<ul><li>机器名称：可以随意定义，方便自己记忆即可</li>
<li>机器ip：对应node节点将要部署的机器ip，如果有多ip时，可选择其中一个ip进行暴露. (此ip是整个集群通讯的入口，实际情况千万别使用127.0.0.1，否则多个机器的node节点会无法识别)</li>
<li>机器端口：对应node节点将要部署时启动的数据通讯端口，建议值：2088</li>
<li>下载端口：对应node节点将要部署时启动的数据下载端口，建议值：9090</li>
<li>外部ip ：对应node节点将要部署的机器ip，存在的一个外部ip，允许通讯的时候走公网处理。</li>
<li>zookeeper集群：为提升通讯效率，不同机房的机器可选择就近的zookeeper集群</li></ul>
<p>node这种设计，是为解决单机部署多实例而设计的，允许单机多node指定不同的端口:</p>
<pre class="prettyprint linenums"><code><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/781052/201612/781052-20161219170914244-1888208365.png" />

在数据库中执行下面这个sql脚本，双主上都要执行</code></pre>
<div>
<pre class="prettyprint linenums">-- MySQL dump 10.13  Distrib 5.6.33, for Linux (x86_64)<br />
--<br />
-- Host: localhost    Database: retl<br />
-- ------------------------------------------------------<br />
-- Server version	5.6.33-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;<br />
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;<br />
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;<br />
/*!40101 SET NAMES utf8 */;<br />
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;<br />
/*!40103 SET TIME_ZONE='+00:00' */;<br />
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;<br />
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;<br />
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;<br />
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--<br />
-- Current Database: `retl`<br />
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `retl` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `retl`;

--<br />
-- Table structure for table `retl_buffer`<br />
--

DROP TABLE IF EXISTS `retl_buffer`;<br />
/*!40101 SET @saved_cs_client     = @@character_set_client */;<br />
/*!40101 SET character_set_client = utf8 */;<br />
CREATE TABLE `retl_buffer` (<br />
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,<br />
  `TABLE_ID` int(11) NOT NULL,<br />
  `FULL_NAME` varchar(512) DEFAULT NULL,<br />
  `TYPE` char(1) NOT NULL,<br />
  `PK_DATA` varchar(256) NOT NULL,<br />
  `GMT_CREATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,<br />
  `GMT_MODIFIED` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',<br />
  PRIMARY KEY (`ID`)<br />
) ENGINE=InnoDB DEFAULT CHARSET=utf8;<br />
/*!40101 SET character_set_client = @saved_cs_client */;

--<br />
-- Dumping data for table `retl_buffer`<br />
--

LOCK TABLES `retl_buffer` WRITE;<br />
/*!40000 ALTER TABLE `retl_buffer` DISABLE KEYS */;<br />
/*!40000 ALTER TABLE `retl_buffer` ENABLE KEYS */;<br />
UNLOCK TABLES;

--<br />
-- Table structure for table `retl_mark`<br />
--

DROP TABLE IF EXISTS `retl_mark`;<br />
/*!40101 SET @saved_cs_client     = @@character_set_client */;<br />
/*!40101 SET character_set_client = utf8 */;<br />
CREATE TABLE `retl_mark` (<br />
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,<br />
  `CHANNEL_ID` int(11) DEFAULT NULL,<br />
  `CHANNEL_INFO` varchar(128) DEFAULT NULL,<br />
  PRIMARY KEY (`ID`)<br />
) ENGINE=InnoDB AUTO_INCREMENT=6003 DEFAULT CHARSET=utf8;<br />
/*!40101 SET character_set_client = @saved_cs_client */;

--<br />
-- Dumping data for table `retl_mark`<br />
--

LOCK TABLES `retl_mark` WRITE;<br />
/*!40000 ALTER TABLE `retl_mark` DISABLE KEYS */;<br />
INSERT INTO `retl_mark` VALUES (1,0,NULL),(2,0,NULL),(3,0,NULL),(4,0,NULL),(5,0,NULL),(6,0,NULL),(7,0,NULL),(8,0,NULL),(9,0,NULL),(10,0,NULL),(11,0,NULL),(12,0,NULL),(13,0,NULL),(14,0,NULL),(15,0,NULL),(16,0,NULL),(17,0,NULL),(18,0,NULL),(19,0,NULL),(20,0,NULL),(21,0,NULL),(22,0,NULL),(23,0,NULL),(24,0,NULL),(25,0,NULL),(26,0,NULL),(27,0,NULL),(28,0,NULL),(29,0,NULL),(30,0,NULL),(31,0,NULL),(32,0,NULL),(33,0,NULL),(34,0,NULL),(35,0,NULL),(36,0,NULL),(37,0,NULL),(38,0,NULL),(39,0,NULL),(40,0,NULL),(41,0,NULL),(42,0,NULL),(43,0,NULL),(44,0,NULL),(45,0,NULL),(46,0,NULL),(47,0,NULL),(48,0,NULL),(49,0,NULL),(50,0,NULL),(51,0,NULL),(52,0,NULL),(53,0,NULL),(54,0,NULL),(55,0,NULL),(56,0,NULL),(57,0,NULL),(58,0,NULL),(59,0,NULL),(60,0,NULL),(61,0,NULL),(62,0,NULL),(63,0,NULL),(64,0,NULL),(65,0,NULL),(66,0,NULL),(67,0,NULL),(68,0,NULL),(69,0,NULL),(70,0,NULL),(71,0,NULL),(72,0,NULL),(73,0,NULL),(74,0,NULL),(75,0,NULL),(76,0,NULL),(77,0,NULL),(78,0,NULL),(79,0,NULL),(80,0,NULL),(81,0,NULL),(82,0,NULL),(83,0,NULL),(84,0,NULL),(85,0,NULL),(86,0,NULL),(87,0,NULL),(88,0,NULL),(89,0,NULL),(90,0,NULL),(91,0,NULL),(92,0,NULL),(93,0,NULL),(94,0,NULL),(95,0,NULL),(96,0,NULL),(97,0,NULL),(98,0,NULL),(99,0,NULL),(100,0,NULL),(101,0,NULL),(102,0,NULL),(103,0,NULL),(104,0,NULL),(105,0,NULL),(106,0,NULL),(107,0,NULL),(108,0,NULL),(109,0,NULL),(110,0,NULL),(111,0,NULL),(112,0,NULL),(113,0,NULL),(114,0,NULL),(115,0,NULL),(116,0,NULL),(117,0,NULL),(118,0,NULL),(119,0,NULL),(120,0,NULL),(121,0,NULL),(122,0,NULL),(123,0,NULL),(124,0,NULL),(125,0,NULL),(126,0,NULL),(127,0,NULL),(128,0,NULL),(129,0,NULL),(130,0,NULL),(131,0,NULL),(132,0,NULL),(133,0,NULL),(134,0,NULL),(135,0,NULL),(136,0,NULL),(137,0,NULL),(138,0,NULL),(139,0,NULL),(140,0,NULL),(141,0,NULL),(142,0,NULL),(143,0,NULL),(144,0,NULL),(145,0,NULL),(146,0,NULL),(147,0,NULL),(148,0,NULL),(149,0,NULL),(150,0,NULL),(151,0,NULL),(152,0,NULL),(153,0,NULL),(154,0,NULL),(155,0,NULL),(156,0,NULL),(157,0,NULL),(158,0,NULL),(159,0,NULL),(160,0,NULL),(161,0,NULL),(162,0,NULL),(163,0,NULL),(164,0,NULL),(165,0,NULL),(166,0,NULL),(167,0,NULL),(168,0,NULL),(169,0,NULL),(170,0,NULL),(171,0,NULL),(172,0,NULL),(173,0,NULL),(174,0,NULL),(175,0,NULL),(176,0,NULL),(177,0,NULL),(178,0,NULL),(179,0,NULL),(180,0,NULL),(181,0,NULL),(182,0,NULL),(183,0,NULL),(184,0,NULL),(185,0,NULL),(186,0,NULL),(187,0,NULL),(188,0,NULL),(189,0,NULL),(190,0,NULL),(191,0,NULL),(192,0,NULL),(193,0,NULL),(194,0,NULL),(195,0,NULL),(196,0,NULL),(197,0,NULL),(198,0,NULL),(199,0,NULL),(200,0,NULL),(201,0,NULL),(202,0,NULL),(203,0,NULL),(204,0,NULL),(205,0,NULL),(206,0,NULL),(207,0,NULL),(208,0,NULL),(209,0,NULL),(210,0,NULL),(211,0,NULL),(212,0,NULL),(213,0,NULL),(214,0,NULL),(215,0,NULL),(216,0,NULL),(217,0,NULL),(218,0,NULL),(219,0,NULL),(220,0,NULL),(221,0,NULL),(222,0,NULL),(223,0,NULL),(224,0,NULL),(225,0,NULL),(226,0,NULL),(227,0,NULL),(228,0,NULL),(229,0,NULL),(230,0,NULL),(231,0,NULL),(232,0,NULL),(233,0,NULL),(234,0,NULL),(235,0,NULL),(236,0,NULL),(237,0,NULL),(238,0,NULL),(239,0,NULL),(240,0,NULL),(241,0,NULL),(242,0,NULL),(243,0,NULL),(244,0,NULL),(245,0,NULL),(246,0,NULL),(247,0,NULL),(248,0,NULL),(249,0,NULL),(250,0,NULL),(251,0,NULL),(252,0,NULL),(253,0,NULL),(254,0,NULL),(255,0,NULL),(256,0,NULL),(257,0,NULL),(258,0,NULL),(259,0,NULL),(260,0,NULL),(261,0,NULL),(262,0,NULL),(263,0,NULL),(264,0,NULL),(265,0,NULL),(266,0,NULL),(267,0,NULL),(268,0,NULL),(269,0,NULL),(270,0,NULL),(271,0,NULL),(272,0,NULL),(273,0,NULL),(274,0,NULL),(275,0,NULL),(276,0,NULL),(277,0,NULL),(278,0,NULL),(279,0,NULL),(280,0,NULL),(281,0,NULL),(282,0,NULL),(283,0,NULL),(284,0,NULL),(285,0,NULL),(286,0,NULL),(287,0,NULL),(288,0,NULL),(289,0,NULL),(290,0,NULL),(291,0,NULL),(292,0,NULL),(293,0,NULL),(294,0,NULL),(295,0,NULL),(296,0,NULL),(297,0,NULL),(298,0,NULL),(299,0,NULL),(300,0,NULL),(301,0,NULL),(302,0,NULL),(303,0,NULL),(304,0,NULL),(305,0,NULL),(306,0,NULL),(307,0,NULL),(308,0,NULL),(309,0,NULL),(310,0,NULL),(311,0,NULL),(312,0,NULL),(313,0,NULL),(314,0,NULL),(315,0,NULL),(316,0,NULL),(317,0,NULL),(318,0,NULL),(319,0,NULL),(320,0,NULL),(321,0,NULL),(322,0,NULL),(323,0,NULL),(324,0,NULL),(325,0,NULL),(326,0,NULL),(327,0,NULL),(328,0,NULL),(329,0,NULL),(330,0,NULL),(331,0,NULL),(332,0,NULL),(333,0,NULL),(334,0,NULL),(335,0,NULL),(336,0,NULL),(337,0,NULL),(338,0,NULL),(339,0,NULL),(340,0,NULL),(341,0,NULL),(342,0,NULL),(343,0,NULL),(344,0,NULL),(345,0,NULL),(346,0,NULL),(347,0,NULL),(348,0,NULL),(349,0,NULL),(350,0,NULL),(351,0,NULL),(352,0,NULL),(353,0,NULL),(354,0,NULL),(355,0,NULL),(356,0,NULL),(357,0,NULL),(358,0,NULL),(359,0,NULL),(360,0,NULL),(361,0,NULL),(362,0,NULL),(363,0,NULL),(364,0,NULL),(365,0,NULL),(366,0,NULL),(367,0,NULL),(368,0,NULL),(369,0,NULL),(370,0,NULL),(371,0,NULL),(372,0,NULL),(373,0,NULL),(374,0,NULL),(375,0,NULL),(376,0,NULL),(377,0,NULL),(378,0,NULL),(379,0,NULL),(380,0,NULL),(381,0,NULL),(382,0,NULL),(383,0,NULL),(384,0,NULL),(385,0,NULL),(386,0,NULL),(387,0,NULL),(388,0,NULL),(389,0,NULL),(390,0,NULL),(391,0,NULL),(392,0,NULL),(393,0,NULL),(394,0,NULL),(395,0,NULL),(396,0,NULL),(397,0,NULL),(398,0,NULL),(399,0,NULL),(400,0,NULL),(401,0,NULL),(402,0,NULL),(403,0,NULL),(404,0,NULL),(405,0,NULL),(406,0,NULL),(407,0,NULL),(408,0,NULL),(409,0,NULL),(410,0,NULL),(411,0,NULL),(412,0,NULL),(413,0,NULL),(414,0,NULL),(415,0,NULL),(416,0,NULL),(417,0,NULL),(418,0,NULL),(419,0,NULL),(420,0,NULL),(421,0,NULL),(422,0,NULL),(423,0,NULL),(424,0,NULL),(425,0,NULL),(426,0,NULL),(427,0,NULL),(428,0,NULL),(429,0,NULL),(430,0,NULL),(431,0,NULL),(432,0,NULL),(433,0,NULL),(434,0,NULL),(435,0,NULL),(436,0,NULL),(437,0,NULL),(438,0,NULL),(439,0,NULL),(440,0,NULL),(441,0,NULL),(442,0,NULL),(443,0,NULL),(444,0,NULL),(445,0,NULL),(446,0,NULL),(447,0,NULL),(448,0,NULL),(449,0,NULL),(450,0,NULL),(451,0,NULL),(452,0,NULL),(453,0,NULL),(454,0,NULL),(455,0,NULL),(456,0,NULL),(457,0,NULL),(458,0,NULL),(459,0,NULL),(460,0,NULL),(461,0,NULL),(462,0,NULL),(463,0,NULL),(464,0,NULL),(465,0,NULL),(466,0,NULL),(467,0,NULL),(468,0,NULL),(469,0,NULL),(470,0,NULL),(471,0,NULL),(472,0,NULL),(473,0,NULL),(474,0,NULL),(475,0,NULL),(476,0,NULL),(477,0,NULL),(478,0,NULL),(479,0,NULL),(480,0,NULL),(481,0,NULL),(482,0,NULL),(483,0,NULL),(484,0,NULL),(485,0,NULL),(486,0,NULL),(487,0,NULL),(488,0,NULL),(489,0,NULL),(490,0,NULL),(491,0,NULL),(492,0,NULL),(493,0,NULL),(494,0,NULL),(495,0,NULL),(496,0,NULL),(497,0,NULL),(498,0,NULL),(499,0,NULL),(500,0,NULL),(501,0,NULL),(502,0,NULL),(503,0,NULL),(504,0,NULL),(505,0,NULL),(506,0,NULL),(507,0,NULL),(508,0,NULL),(509,0,NULL),(510,0,NULL),(511,0,NULL),(512,0,NULL),(513,0,NULL),(514,0,NULL),(515,0,NULL),(516,0,NULL),(517,0,NULL),(518,0,NULL),(519,0,NULL),(520,0,NULL),(521,0,NULL),(522,0,NULL),(523,0,NULL),(524,0,NULL),(525,0,NULL),(526,0,NULL),(527,0,NULL),(528,0,NULL),(529,0,NULL),(530,0,NULL),(531,0,NULL),(532,0,NULL),(533,0,NULL),(534,0,NULL),(535,0,NULL),(536,0,NULL),(537,0,NULL),(538,0,NULL),(539,0,NULL),(540,0,NULL),(541,0,NULL),(542,0,NULL),(543,0,NULL),(544,0,NULL),(545,0,NULL),(546,0,NULL),(547,0,NULL),(548,0,NULL),(549,0,NULL),(550,0,NULL),(551,0,NULL),(552,0,NULL),(553,0,NULL),(554,0,NULL),(555,0,NULL),(556,0,NULL),(557,0,NULL),(558,0,NULL),(559,0,NULL),(560,0,NULL),(561,0,NULL),(562,0,NULL),(563,0,NULL),(564,0,NULL),(565,0,NULL),(566,0,NULL),(567,0,NULL),(568,0,NULL),(569,0,NULL),(570,0,NULL),(571,0,NULL),(572,0,NULL),(573,0,NULL),(574,0,NULL),(575,0,NULL),(576,0,NULL),(577,0,NULL),(578,0,NULL),(579,0,NULL),(580,0,NULL),(581,0,NULL),(582,0,NULL),(583,0,NULL),(584,0,NULL),(585,0,NULL),(586,0,NULL),(587,0,NULL),(588,0,NULL),(589,0,NULL),(590,0,NULL),(591,0,NULL),(592,0,NULL),(593,0,NULL),(594,0,NULL),(595,0,NULL),(596,0,NULL),(597,0,NULL),(598,0,NULL),(599,0,NULL),(600,0,NULL),(601,0,NULL),(602,0,NULL),(603,0,NULL),(604,0,NULL),(605,0,NULL),(606,0,NULL),(607,0,NULL),(608,0,NULL),(609,0,NULL),(610,0,NULL),(611,0,NULL),(612,0,NULL),(613,0,NULL),(614,0,NULL),(615,0,NULL),(616,0,NULL),(617,0,NULL),(618,0,NULL),(619,0,NULL),(620,0,NULL),(621,0,NULL),(622,0,NULL),(623,0,NULL),(624,0,NULL),(625,0,NULL),(626,0,NULL),(627,0,NULL),(628,0,NULL),(629,0,NULL),(630,0,NULL),(631,0,NULL),(632,0,NULL),(633,0,NULL),(634,0,NULL),(635,0,NULL),(636,0,NULL),(637,0,NULL),(638,0,NULL),(639,0,NULL),(640,0,NULL),(641,0,NULL),(642,0,NULL),(643,0,NULL),(644,0,NULL),(645,0,NULL),(646,0,NULL),(647,0,NULL),(648,0,NULL),(649,0,NULL),(650,0,NULL),(651,0,NULL),(652,0,NULL),(653,0,NULL),(654,0,NULL),(655,0,NULL),(656,0,NULL),(657,0,NULL),(658,0,NULL),(659,0,NULL),(660,0,NULL),(661,0,NULL),(662,0,NULL),(663,0,NULL),(664,0,NULL),(665,0,NULL),(666,0,NULL),(667,0,NULL),(668,0,NULL),(669,0,NULL),(670,0,NULL),(671,0,NULL),(672,0,NULL),(673,0,NULL),(674,0,NULL),(675,0,NULL),(676,0,NULL),(677,0,NULL),(678,0,NULL),(679,0,NULL),(680,0,NULL),(681,0,NULL),(682,0,NULL),(683,0,NULL),(684,0,NULL),(685,0,NULL),(686,0,NULL),(687,0,NULL),(688,0,NULL),(689,0,NULL),(690,0,NULL),(691,0,NULL),(692,0,NULL),(693,0,NULL),(694,0,NULL),(695,0,NULL),(696,0,NULL),(697,0,NULL),(698,0,NULL),(699,0,NULL),(700,0,NULL),(701,0,NULL),(702,0,NULL),(703,0,NULL),(704,0,NULL),(705,0,NULL),(706,0,NULL),(707,0,NULL),(708,0,NULL),(709,0,NULL),(710,0,NULL),(711,0,NULL),(712,0,NULL),(713,0,NULL),(714,0,NULL),(715,0,NULL),(716,0,NULL),(717,0,NULL),(718,0,NULL),(719,0,NULL),(720,0,NULL),(721,0,NULL),(722,0,NULL),(723,0,NULL),(724,0,NULL),(725,0,NULL),(726,0,NULL),(727,0,NULL),(728,0,NULL),(729,0,NULL),(730,0,NULL),(731,0,NULL),(732,0,NULL),(733,0,NULL),(734,0,NULL),(735,0,NULL),(736,0,NULL),(737,0,NULL),(738,0,NULL),(739,0,NULL),(740,0,NULL),(741,0,NULL),(742,0,NULL),(743,0,NULL),(744,0,NULL),(745,0,NULL),(746,0,NULL),(747,0,NULL),(748,0,NULL),(749,0,NULL),(750,0,NULL),(751,0,NULL),(752,0,NULL),(753,0,NULL),(754,0,NULL),(755,0,NULL),(756,0,NULL),(757,0,NULL),(758,0,NULL),(759,0,NULL),(760,0,NULL),(761,0,NULL),(762,0,NULL),(763,0,NULL),(764,0,NULL),(765,0,NULL),(766,0,NULL),(767,0,NULL),(768,0,NULL),(769,0,NULL),(770,0,NULL),(771,0,NULL),(772,0,NULL),(773,0,NULL),(774,0,NULL),(775,0,NULL),(776,0,NULL),(777,0,NULL),(778,0,NULL),(779,0,NULL),(780,0,NULL),(781,0,NULL),(782,0,NULL),(783,0,NULL),(784,0,NULL),(785,0,NULL),(786,0,NULL),(787,0,NULL),(788,0,NULL),(789,0,NULL),(790,0,NULL),(791,0,NULL),(792,0,NULL),(793,0,NULL),(794,0,NULL),(795,0,NULL),(796,0,NULL),(797,0,NULL),(798,0,NULL),(799,0,NULL),(800,0,NULL),(801,0,NULL),(802,0,NULL),(803,0,NULL),(804,0,NULL),(805,0,NULL),(806,0,NULL),(807,0,NULL),(808,0,NULL),(809,0,NULL),(810,0,NULL),(811,0,NULL),(812,0,NULL),(813,0,NULL),(814,0,NULL),(815,0,NULL),(816,0,NULL),(817,0,NULL),(818,0,NULL),(819,0,NULL),(820,0,NULL),(821,0,NULL),(822,0,NULL),(823,0,NULL),(824,0,NULL),(825,0,NULL),(826,0,NULL),(827,0,NULL),(828,0,NULL),(829,0,NULL),(830,0,NULL),(831,0,NULL),(832,0,NULL),(833,0,NULL),(834,0,NULL),(835,0,NULL),(836,0,NULL),(837,0,NULL),(838,0,NULL),(839,0,NULL),(840,0,NULL),(841,0,NULL),(842,0,NULL),(843,0,NULL),(844,0,NULL),(845,0,NULL),(846,0,NULL),(847,0,NULL),(848,0,NULL),(849,0,NULL),(850,0,NULL),(851,0,NULL),(852,0,NULL),(853,0,NULL),(854,0,NULL),(855,0,NULL),(856,0,NULL),(857,0,NULL),(858,0,NULL),(859,0,NULL),(860,0,NULL),(861,0,NULL),(862,0,NULL),(863,0,NULL),(864,0,NULL),(865,0,NULL),(866,0,NULL),(867,0,NULL),(868,0,NULL),(869,0,NULL),(870,0,NULL),(871,0,NULL),(872,0,NULL),(873,0,NULL),(874,0,NULL),(875,0,NULL),(876,0,NULL),(877,0,NULL),(878,0,NULL),(879,0,NULL),(880,0,NULL),(881,0,NULL),(882,0,NULL),(883,0,NULL),(884,0,NULL),(885,0,NULL),(886,0,NULL),(887,0,NULL),(888,0,NULL),(889,0,NULL),(890,0,NULL),(891,0,NULL),(892,0,NULL),(893,0,NULL),(894,0,NULL),(895,0,NULL),(896,0,NULL),(897,0,NULL),(898,0,NULL),(899,0,NULL),(900,0,NULL),(901,0,NULL),(902,0,NULL),(903,0,NULL),(904,0,NULL),(905,0,NULL),(906,0,NULL),(907,0,NULL),(908,0,NULL),(909,0,NULL),(910,0,NULL),(911,0,NULL),(912,0,NULL),(913,0,NULL),(914,0,NULL),(915,0,NULL),(916,0,NULL),(917,0,NULL),(918,0,NULL),(919,0,NULL),(920,0,NULL),(921,0,NULL),(922,0,NULL),(923,0,NULL),(924,0,NULL),(925,0,NULL),(926,0,NULL),(927,0,NULL),(928,0,NULL),(929,0,NULL),(930,0,NULL),(931,0,NULL),(932,0,NULL),(933,0,NULL),(934,0,NULL),(935,0,NULL),(936,0,NULL),(937,0,NULL),(938,0,NULL),(939,0,NULL),(940,0,NULL),(941,0,NULL),(942,0,NULL),(943,0,NULL),(944,0,NULL),(945,0,NULL),(946,0,NULL),(947,0,NULL),(948,0,NULL),(949,0,NULL),(950,0,NULL),(951,0,NULL),(952,0,NULL),(953,0,NULL),(954,0,NULL),(955,0,NULL),(956,0,NULL),(957,0,NULL),(958,0,NULL),(959,0,NULL),(960,0,NULL),(961,0,NULL),(962,0,NULL),(963,0,NULL),(964,0,NULL),(965,0,NULL),(966,0,NULL),(967,0,NULL),(968,0,NULL),(969,0,NULL),(970,0,NULL),(971,0,NULL),(972,0,NULL),(973,0,NULL),(974,0,NULL),(975,0,NULL),(976,0,NULL),(977,0,NULL),(978,0,NULL),(979,0,NULL),(980,0,NULL),(981,0,NULL),(982,0,NULL),(983,0,NULL),(984,0,NULL),(985,0,NULL),(986,0,NULL),(987,0,NULL),(988,0,NULL),(989,0,NULL),(990,0,NULL),(991,0,NULL),(992,0,NULL),(993,0,NULL),(994,0,NULL),(995,0,NULL),(996,0,NULL),(997,0,NULL),(998,0,NULL),(999,0,NULL),(6002,0,NULL);<br />
/*!40000 ALTER TABLE `retl_mark` ENABLE KEYS */;<br />
UNLOCK TABLES;

--<br />
-- Table structure for table `xdual`<br />
--

DROP TABLE IF EXISTS `xdual`;<br />
/*!40101 SET @saved_cs_client     = @@character_set_client */;<br />
/*!40101 SET character_set_client = utf8 */;<br />
CREATE TABLE `xdual` (<br />
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,<br />
  `X` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,<br />
  PRIMARY KEY (`ID`)<br />
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;<br />
/*!40101 SET character_set_client = @saved_cs_client */;

--<br />
-- Dumping data for table `xdual`<br />
--

LOCK TABLES `xdual` WRITE;<br />
/*!40000 ALTER TABLE `xdual` DISABLE KEYS */;<br />
INSERT INTO `xdual` VALUES (1,'2016-12-16 07:10:28'),(2,'2016-11-28 03:07:46');<br />
/*!40000 ALTER TABLE `xdual` ENABLE KEYS */;<br />
UNLOCK TABLES;<br />
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;<br />
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;<br />
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;<br />
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;<br />
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;<br />
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;<br />
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-12-16 15:10:32
</pre>
</div>
<pre class="prettyprint linenums"><code>把node在目的机器上按上面的步骤再装一遍<br />echo 2 &gt; nid<br /></code></pre>
<p><code></code>剩下的都是套路了，网上找得到，我只是略做整理，方便以后搭建的时候参考。</p>
<pre class="prettyprint linenums"><code>END!

</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7k6g9e.html">C&num;图片按比例缩放</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o5kw19.html">MySQL 5&period;6 双机热备windows7</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k5n558.html">C&num; 拆箱与装箱 要严格控制&comma;数量多起来严重影响效率</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnyvwg8.html">linux命令：xargs</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnywkg8.html">Linux虚拟机安装（CentOS 6&period;5，图文详解，需要自查）</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1xlvz8.html">分割excel sheet</a>
		</li>
						<li><a href="https://www.batexi.com/a/495kddm9.html">Windows 通用应用尝试开发 &OpenCurlyDoubleQuote;51单片机汇编&rdquo;第二次更新总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnjxvoq.html">自适应游标共享技术02&lpar;一个简单的例子来走近ACS&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd5o3xq.html">【转载】关于ActionContext&period;getContext&lpar;&rpar;&period;getParameters&lpar;&rpar;获值问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gm0k679.html">基于 libpcap库的sniffer程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/96on4r49.html">mysql 存储过程项目小结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpopy39.html">Smallest multiple</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mery3rq.html">Fibonacci Numbers</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp3560q.html">Egret学习笔记 &lpar;Egret打飞机-4&period;添加主角飞机和实现飞行效果&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zon75vq.html">dw cs6 trial</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjgxjr8.html">Android 插件化技术窥探</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1z26dq.html">java 冒泡排序 day003</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ol76x8.html">Python编程快速上手-让繁琐工作自动化-第二章习题及其答案</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvg4k28.html">实验 2：备份和还原IOS</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25126lq.html">docker swarm 英文参考资料阅读列表</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m8z3ovdq.html">selenium2&period;0&lpar;WebDriver&rpar; API</a>
			</li>
						<li><a href="https://www.batexi.com/a/495dgxeq.html">Nopcommerce  二次开发1  基础</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdkwp09.html">python 核心编程课后练习&lpar;chapter 3&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/49ggjve9.html">ListFragment创建及其生命周期</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnwn6kq.html">（Hibernate进阶）Hibernate映射&mdash;&mdash;多对一单向关联映射（四）</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq14vg6q.html">jquery下常用正则表达式整理（可直接粘贴使用）</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq14pn4q.html">PHP正则表达式模式修饰符 &sol;i&comma; &sol;is&comma; &sol;s&comma; &sol;isU等</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdkd679.html">Vue2父子组件通信探究</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mkwe0q.html">arcgis中DEM如何生成等高线</a>
			</li>
						<li><a href="https://www.batexi.com/a/390yyoj8.html">nodeJS环境</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
